Skip to main content
POST
/
v1
/
tools
/
{tool_id}
/
execute
Execute an API tool
curl --request POST \
  --url https://api-sandbox.featherhq.com/v1/tools/{tool_id}/execute \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "input": {},
  "metadata": {}
}
'
{
  "status_code": 123,
  "headers": {},
  "body": "<unknown>",
  "success": true,
  "error": "<string>",
  "execution_time_ms": 123,
  "request_url": "<string>",
  "request_method": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

tool_id
string<uuid>
required

Body

application/json
input
Input · object
metadata
Metadata · object

Response

Successful Response

status_code
integer
required
headers
Headers · object
body
any
success
boolean
default:true
error
string | null
execution_time_ms
number | null
request_url
string | null
request_method
string | null